> ## Documentation Index > Fetch the complete documentation index at: https://docs.grassfish.com/llms.txt > Use this file to discover all available pages before exploring further. # Initialize a new media upload > This is the first step of uploading media to the server. ## OpenAPI ````json POST /v{version}/Content/Upload/Media/Initialize { "openapi": "3.0.1", "info": { "title": "IXM Platform API 1.21", "description": "IXM Platform API", "contact": { "name": "Grassfish", "url": "https://grassfish.com", "email": "support@grassfish.com" }, "version": "1.21" }, "paths": { "/v{version}/Content/Upload/Media/Initialize": { "post": { "tags": [ "Content" ], "summary": "Initialize a new media upload", "description": "This is the first step of uploading media to the server.", "operationId": "Content_InitializeMediaUpload", "parameters": [ { "name": "version", "in": "path", "description": "The requested API version", "required": true, "schema": { "type": "string" } } ], "requestBody": { "description": "Media upload initialization request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/V1.Models.MediaUploadRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "string", "format": "uuid" } } } }, "400": { "description": "Bad request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.ModelStateError" } } } }, "401": { "description": "Unauthorized", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "403": { "description": "Access denied", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "404": { "description": "Upload not found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "500": { "description": "Unexpected error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } } }, "security": [ { "api_key": [] }, { "session_id": [] } ] } } }, "components": { "schemas": { "V1.Models.MediaUploadRequest": { "required": [ "DisplayName", "FileName", "FileSize" ], "type": "object", "properties": { "DisplayName": { "type": "string", "description": "Display name of the media" }, "FileName": { "type": "string", "description": "File name of the media" }, "FileSize": { "type": "integer", "description": "Size of the media in bytes", "format": "int64" }, "LocationId": { "type": "integer", "description": "Unique ID of the location assigned to the spot", "format": "int32" }, "MediaGroupId": { "type": "integer", "description": "Unique ID of the media group where the media is placed in.\r\nIf the media group is empty, the medium is not visible in the CMS.", "format": "int32" }, "PlayerId": { "type": "integer", "description": "Unique ID of the player assigned to the spot", "format": "int32" } }, "description": "Request model for initializing a new media upload" }, "Common.Models.ModelStateError": { "type": "object", "properties": { "ValidationErrors": { "type": "object", "additionalProperties": { "type": "array", "items": { "type": "string" } } } } }, "Common.Models.Error": { "type": "object", "properties": { "Id": { "type": "string" }, "Message": { "type": "string" }, "Type": { "type": "string" }, "Values": { "type": "object", "additionalProperties": { "type": "object" } } } } }, "securitySchemes": { "api_key": { "type": "apiKey", "description": "Api Key", "name": "X-ApiKey", "in": "header" }, "session_id": { "type": "apiKey", "description": "Session Id", "name": "X-Session-Id", "in": "header" } } } } ````